<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="All|Win32">
      <Configuration>All</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="All|x64">
      <Configuration>All</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="LZMA2|Win32">
      <Configuration>LZMA2</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="LZMA2|x64">
      <Configuration>LZMA2</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="LZMA|Win32">
      <Configuration>LZMA</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="LZMA|x64">
      <Configuration>LZMA</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="LZMA|ARM64">
      <Configuration>LZMA</Configuration>
      <Platform>ARM64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="LZMA2|ARM64">
      <Configuration>LZMA2</Configuration>
      <Platform>ARM64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectName>7zSfxMod</ProjectName>
    <ProjectGuid>{60FC2AAC-F2C7-48E6-A78D-ACDC6988B8C4}</ProjectGuid>
    <RootNamespace>7zSfxMod</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='All|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='All|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v142</PlatformToolset>
    <UseOfMfc>false</UseOfMfc>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC60.props" />
    <Import Project="$(ProjectDir)\PropertySheets\FeatureLogging.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonIncludes.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonLibs.props" />
    <Import Project="$(ProjectDir)\PropertySheets\Win32.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC60.props" />
    <Import Project="$(ProjectDir)\PropertySheets\FeatureLogging.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonIncludes.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonLibs.props" />
    <Import Project="$(ProjectDir)\PropertySheets\Win32.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC60.props" />
    <Import Project="$(ProjectDir)\PropertySheets\FeatureLogging.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonIncludes.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonLibs.props" />
    <Import Project="$(ProjectDir)\PropertySheets\Win32.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='All|Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC60.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC60.props" />
    <Import Project="$(ProjectDir)\PropertySheets\FeatureLogging.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonIncludes.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonLibs.props" />
    <Import Project="$(ProjectDir)\PropertySheets\x64.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC60.props" />
    <Import Project="$(ProjectDir)\PropertySheets\FeatureLogging.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonIncludes.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonLibs.props" />
    <Import Project="$(ProjectDir)\PropertySheets\x64.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC60.props" />
    <Import Project="$(ProjectDir)\PropertySheets\FeatureLogging.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonIncludes.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonLibs.props" />
    <Import Project="$(ProjectDir)\PropertySheets\x64.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC60.props" />
    <Import Project="$(ProjectDir)\PropertySheets\FeatureLogging.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonIncludes.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonLibs.props" />
    <Import Project="$(ProjectDir)\PropertySheets\arm64.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC60.props" />
    <Import Project="$(ProjectDir)\PropertySheets\FeatureLogging.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonIncludes.props" />
    <Import Project="$(ProjectDir)\PropertySheets\CommonLibs.props" />
    <Import Project="$(ProjectDir)\PropertySheets\arm64.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='All|x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(VCTargetsPath)Microsoft.CPP.UpgradeFromVC60.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>16.0.33801.447</_ProjectFileVersion>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='All|Win32'">
    <OutDir>..\Output\Win32\</OutDir>
    <IntDir>..\Intermediate\Win32\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">
    <OutDir>..\Output\Win32\</OutDir>
    <IntDir>..\Intermediate\Win32\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <IncludePath>%BUILD_TOOLS_DIR%\boost\boost_1_79_0;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">
    <OutDir>..\Output\Win32\</OutDir>
    <IntDir>..\Intermediate\Win32\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <GenerateManifest>true</GenerateManifest>
    <IncludePath>%BUILD_TOOLS_DIR%\boost\boost_1_79_0;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <OutDir>..\Output\Win32\</OutDir>
    <IntDir>..\Intermediate\Win32\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <GenerateManifest>true</GenerateManifest>
    <TargetName>7zsd_Debug</TargetName>
    <TargetExt>.exe</TargetExt>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='All|x64'">
    <OutDir>..\Output\x64\</OutDir>
    <IntDir>..\Intermediate\x64\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">
    <OutDir>..\Output\x64\</OutDir>
    <IntDir>..\Intermediate\x64\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <IncludePath>%BUILD_TOOLS_DIR%\boost\boost_1_79_0;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">
    <OutDir>..\Output\x64\</OutDir>
    <IntDir>..\Intermediate\x64\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <IncludePath>%BUILD_TOOLS_DIR%\boost\boost_1_79_0;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <OutDir>..\Output\x64\</OutDir>
    <IntDir>..\Intermediate\x64\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <GenerateManifest>true</GenerateManifest>
    <TargetName>7zsd_Debug</TargetName>
    <TargetExt>.sfx</TargetExt>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'">
    <OutDir>..\Output\arm64\</OutDir>
    <IntDir>..\Intermediate\arm64\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <GenerateManifest>true</GenerateManifest>
    <IncludePath>%BUILD_TOOLS_DIR%\boost\boost_1_79_0;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'">
    <OutDir>..\Output\arm64\</OutDir>
    <IntDir>..\Intermediate\arm64\$(Configuration)\</IntDir>
    <LinkIncremental>false</LinkIncremental>
    <IncludePath>%BUILD_TOOLS_DIR%\boost\boost_1_79_0;$(IncludePath)</IncludePath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='All|Win32'">
    <Midl>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TargetEnvironment>Win32</TargetEnvironment>
      <TypeLibraryName>.\Release\win32/7ZSfxMod.tlb</TypeLibraryName>
      <HeaderFileName />
    </Midl>
    <ClCompile>
      <Optimization>MinSpace</Optimization>
      <InlineFunctionExpansion>OnlyExplicitInline</InlineFunctionExpansion>
      <FavorSizeOrSpeed>Size</FavorSizeOrSpeed>
      <AdditionalIncludeDirectories>..\7-Zip\CPP\;</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>NDEBUG;COMPRESS_LZMA;COMPRESS_LZMA2;COMPRESS_DEFLATE;COMPRESS_PPMD;COMPRESS_BCJ;COMPRESS_BCJ2;WIN32;_WINDOWS;_MBCS;EXTRACT_ONLY;NO_REGISTRY;_SFX;_NO_CRYPTO;UNICODE;_USE_SFXTEST;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <ExceptionHandling />
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>stdafx.h</PrecompiledHeaderFile>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DisableSpecificWarnings>4530;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <OmitDefaultLibName>true</OmitDefaultLibName>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0409</Culture>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <AdditionalOptions>/STUB:sources/small.stub /RELEASE %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>comctl32.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)7zsd_$(Configuration).sfx</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <GenerateMapFile>true</GenerateMapFile>
      <MapFileName>$(OutDir)7zsd_$(Configuration).map</MapFileName>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention />
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>.\Release\win32/7ZSfxMod.bsc</OutputFile>
    </Bscmake>
    <Manifest>
      <AdditionalManifestFiles>$(ProjectDir)\sources\res\compatibility.manifest</AdditionalManifestFiles>
    </Manifest>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">
    <Midl>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TargetEnvironment>Win32</TargetEnvironment>
      <TypeLibraryName>.\Release/win32/7ZSfxMod.tlb</TypeLibraryName>
      <HeaderFileName />
    </Midl>
    <ClCompile>
      <Optimization>Full</Optimization>
      <InlineFunctionExpansion>Default</InlineFunctionExpansion>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <AdditionalIncludeDirectories>..\7-Zip\CPP\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>NDEBUG;COMPRESS_LZMA;COMPRESS_LZMA2;COMPRESS_BCJ;COMPRESS_BCJ2;WIN32;_WINDOWS;_MBCS;EXTRACT_ONLY;NO_REGISTRY;_SFX;_NO_CRYPTO;UNICODE;_USE_SFXTEST;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <ExceptionHandling>Async</ExceptionHandling>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>stdafx.h</PrecompiledHeaderFile>
      <WarningLevel>Level4</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DisableSpecificWarnings>4530;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <OmitDefaultLibName>true</OmitDefaultLibName>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0419</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalOptions>/STUB:sources/small.stub /RELEASE /VERBOSE:LIB %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>Comctl32.lib;Shlwapi.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)7zsd_$(Configuration).sfx</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <UACExecutionLevel>asInvoker</UACExecutionLevel>
      <GenerateMapFile>true</GenerateMapFile>
      <MapFileName>$(OutDir)7zsd_$(Configuration).map</MapFileName>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention />
      <TargetMachine>MachineX86</TargetMachine>
      <ImageHasSafeExceptionHandlers>false</ImageHasSafeExceptionHandlers>
    </Link>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>.\Release/win32/7ZSfxMod.bsc</OutputFile>
    </Bscmake>
    <Manifest>
      <AdditionalManifestFiles>$(ProjectDir)\sources\res\compatibility.manifest</AdditionalManifestFiles>
    </Manifest>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">
    <Midl>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TargetEnvironment>Win32</TargetEnvironment>
      <TypeLibraryName>.\Release\win32/7ZSfxMod.tlb</TypeLibraryName>
      <HeaderFileName />
    </Midl>
    <ClCompile>
      <Optimization>Full</Optimization>
      <InlineFunctionExpansion>Default</InlineFunctionExpansion>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <FavorSizeOrSpeed>Speed</FavorSizeOrSpeed>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <AdditionalIncludeDirectories>..\7-Zip\CPP\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>NDEBUG;COMPRESS_LZMA;COMPRESS_BCJ;COMPRESS_BCJ2;WIN32;_WINDOWS;_MBCS;EXTRACT_ONLY;NO_REGISTRY;_SFX;_NO_CRYPTO;UNICODE;_USE_SFXTEST;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <ExceptionHandling>Async</ExceptionHandling>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>true</BufferSecurityCheck>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>stdafx.h</PrecompiledHeaderFile>
      <WarningLevel>Level4</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat />
      <DisableSpecificWarnings>4530;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <OmitDefaultLibName>false</OmitDefaultLibName>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0419</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalOptions>/STUB:sources/small.stub /RELEASE /VERBOSE:LIB  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>Comctl32.lib;Shlwapi.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)7zsd_$(Configuration).sfx</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <UACExecutionLevel>asInvoker</UACExecutionLevel>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <IgnoreSpecificDefaultLibraries>libc.lib; msvcrt.lib; libcd.lib; libcmtd.lib; msvcrtd.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <GenerateMapFile>true</GenerateMapFile>
      <MapFileName>$(OutDir)7zsd_$(Configuration).map</MapFileName>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention>true</DataExecutionPrevention>
      <TargetMachine>MachineX86</TargetMachine>
      <ImageHasSafeExceptionHandlers>false</ImageHasSafeExceptionHandlers>
    </Link>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>.\Release\win32/7ZSfxMod.bsc</OutputFile>
    </Bscmake>
    <Manifest>
      <AdditionalManifestFiles>$(ProjectDir)\sources\res\compatibility.manifest</AdditionalManifestFiles>
    </Manifest>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Midl>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TargetEnvironment>Win32</TargetEnvironment>
      <TypeLibraryName>.\Debug\win32/7ZSfxMod.tlb</TypeLibraryName>
      <HeaderFileName />
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <FavorSizeOrSpeed>Neither</FavorSizeOrSpeed>
      <AdditionalIncludeDirectories>..\7-Zip\CPP\;</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>SFXMOD_DEBUG=1;_DEBUGALL;_ITERATOR_DEBUG_LEVEL=0;BOOST_ALL_NO_LIB;COMPRESS_PPMD;COMPRESS_LZMA;WIN32;_WINDOWS;_MBCS;EXTRACT_ONLY;NO_REGISTRY;_SFX;_NO_CRYPTO;UNICODE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <ExceptionHandling>SyncCThrow</ExceptionHandling>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>stdafx.h</PrecompiledHeaderFile>
      <WarningLevel>Level4</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <DisableSpecificWarnings>4530;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <OmitDefaultLibName>false</OmitDefaultLibName>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0409</Culture>
      <AdditionalIncludeDirectories>%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
    <Link>
      <AdditionalDependencies>comctl32.lib;$(BOOST_DIR)\lib-msvc-14.2\libboost_atomic-vc142-mt-x32-1_79.lib;$(BOOST_DIR)\lib-msvc-14.2\libboost_chrono-vc142-mt-x32-1_79.lib;$(BOOST_DIR)\lib-msvc-14.2\libboost_date_time-vc142-mt-x32-1_79.lib;$(BOOST_DIR)\lib-msvc-14.2\libboost_exception-vc142-mt-x32-1_79.lib;$(BOOST_DIR)\lib-msvc-14.2\libboost_filesystem-vc142-mt-x32-1_79.lib;$(BOOST_DIR)\lib-msvc-14.2\libboost_system-vc142-mt-x32-1_79.lib;$(BOOST_DIR)\lib-msvc-14.2\libboost_thread-vc142-mt-x32-1_79.lib;Shlwapi.lib;Version.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <IgnoreSpecificDefaultLibraries>libcmt.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <OutputFile>$(OutDir)7zsd_$(Configuration).exe</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <GenerateMapFile>true</GenerateMapFile>
      <MapFileName>$(OutDir)7zsd_$(Configuration).map</MapFileName>
      <SubSystem>Windows</SubSystem>
      <HeapReserveSize>16777216</HeapReserveSize>
      <OptimizeReferences />
      <EnableCOMDATFolding />
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention />
      <TargetMachine>MachineX86</TargetMachine>
    </Link>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>.\Debug\win32/7ZSfxMod.bsc</OutputFile>
    </Bscmake>
    <Manifest>
      <AdditionalManifestFiles>$(ProjectDir)\sources\res\compatibility.manifest</AdditionalManifestFiles>
    </Manifest>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='All|x64'">
    <Midl>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TargetEnvironment>X64</TargetEnvironment>
      <TypeLibraryName>.\Release\win32/7ZSfxMod.tlb</TypeLibraryName>
      <HeaderFileName />
    </Midl>
    <ClCompile>
      <Optimization>MinSpace</Optimization>
      <InlineFunctionExpansion>OnlyExplicitInline</InlineFunctionExpansion>
      <FavorSizeOrSpeed>Size</FavorSizeOrSpeed>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <AdditionalIncludeDirectories>..\7-Zip\CPP\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>NDEBUG;COMPRESS_LZMA;COMPRESS_LZMA2;COMPRESS_DEFLATE;COMPRESS_PPMD;COMPRESS_BCJ;COMPRESS_BCJ2;WIN32;_WINDOWS;_MBCS;EXTRACT_ONLY;NO_REGISTRY;_SFX;_NO_CRYPTO;UNICODE;_USE_SFXTEST;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <ExceptionHandling />
      <SmallerTypeCheck>false</SmallerTypeCheck>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>stdafx.h</PrecompiledHeaderFile>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DisableSpecificWarnings>4530;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <OmitDefaultLibName>true</OmitDefaultLibName>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0419</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalOptions>/STUB:sources/small.stub /RELEASE %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>comctl32.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)7zsd_$(Configuration).sfx</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <GenerateMapFile>true</GenerateMapFile>
      <MapFileName>$(OutDir)7zsd_$(Configuration).map</MapFileName>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention />
      <TargetMachine>MachineX64</TargetMachine>
    </Link>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>.\Release\win32/7ZSfxMod.bsc</OutputFile>
    </Bscmake>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">
    <Midl>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TargetEnvironment>X64</TargetEnvironment>
      <TypeLibraryName>.\Release/win32/7ZSfxMod.tlb</TypeLibraryName>
      <HeaderFileName />
    </Midl>
    <ClCompile>
      <Optimization>MinSpace</Optimization>
      <InlineFunctionExpansion>OnlyExplicitInline</InlineFunctionExpansion>
      <FavorSizeOrSpeed>Size</FavorSizeOrSpeed>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <AdditionalIncludeDirectories>..\7-Zip\CPP\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>NDEBUG;COMPRESS_LZMA;COMPRESS_LZMA2;COMPRESS_BCJ;COMPRESS_BCJ2;WIN32;_WINDOWS;_MBCS;EXTRACT_ONLY;NO_REGISTRY;_SFX;_NO_CRYPTO;UNICODE;_USE_SFXTEST;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <ExceptionHandling>Async</ExceptionHandling>
      <SmallerTypeCheck>false</SmallerTypeCheck>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>stdafx.h</PrecompiledHeaderFile>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DisableSpecificWarnings>4530;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <OmitDefaultLibName>true</OmitDefaultLibName>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0419</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalOptions>/STUB:sources/small.stub /RELEASE /VERBOSE:LIB %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>Comctl32.lib;Shlwapi.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)7zsd_$(Configuration).sfx</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <UACExecutionLevel>asInvoker</UACExecutionLevel>
      <GenerateMapFile>true</GenerateMapFile>
      <MapFileName>$(OutDir)7zsd_$(Configuration).map</MapFileName>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention />
      <TargetMachine>MachineX64</TargetMachine>
      <ImageHasSafeExceptionHandlers>false</ImageHasSafeExceptionHandlers>
    </Link>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>.\Release/win32/7ZSfxMod.bsc</OutputFile>
    </Bscmake>
    <Manifest>
      <AdditionalManifestFiles>$(ProjectDir)\sources\res\compatibility.manifest</AdditionalManifestFiles>
    </Manifest>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">
    <Midl>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TargetEnvironment>X64</TargetEnvironment>
      <TypeLibraryName>.\Release\win32/7ZSfxMod.tlb</TypeLibraryName>
      <HeaderFileName />
    </Midl>
    <ClCompile>
      <Optimization>MinSpace</Optimization>
      <InlineFunctionExpansion>OnlyExplicitInline</InlineFunctionExpansion>
      <FavorSizeOrSpeed>Size</FavorSizeOrSpeed>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <AdditionalIncludeDirectories>..\7-Zip\CPP\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>NDEBUG;COMPRESS_LZMA;COMPRESS_BCJ;COMPRESS_BCJ2;WIN32;_WINDOWS;_MBCS;EXTRACT_ONLY;NO_REGISTRY;_SFX;_NO_CRYPTO;UNICODE;_USE_SFXTEST;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <ExceptionHandling>Async</ExceptionHandling>
      <SmallerTypeCheck>false</SmallerTypeCheck>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>stdafx.h</PrecompiledHeaderFile>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DisableSpecificWarnings>4530;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <OmitDefaultLibName>false</OmitDefaultLibName>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0419</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalOptions>/STUB:sources/small.stub /RELEASE /VERBOSE:LIB  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>Comctl32.lib;Shlwapi.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)7zsd_$(Configuration).sfx</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <UACExecutionLevel>asInvoker</UACExecutionLevel>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <IgnoreSpecificDefaultLibraries>libc.lib; msvcrt.lib; libcd.lib; libcmtd.lib; msvcrtd.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <GenerateMapFile>true</GenerateMapFile>
      <MapFileName>$(OutDir)7zsd_$(Configuration).map</MapFileName>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention>true</DataExecutionPrevention>
      <TargetMachine>MachineX64</TargetMachine>
      <ImageHasSafeExceptionHandlers>false</ImageHasSafeExceptionHandlers>
    </Link>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>.\Release\win32/7ZSfxMod.bsc</OutputFile>
    </Bscmake>
    <Manifest>
      <AdditionalManifestFiles>$(ProjectDir)\sources\res\compatibility.manifest</AdditionalManifestFiles>
    </Manifest>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'">
    <Midl>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TargetEnvironment>ARM64</TargetEnvironment>
      <TypeLibraryName>.\Release\arm64/7ZSfxMod.tlb</TypeLibraryName>
      <HeaderFileName />
    </Midl>
    <ClCompile>
      <Optimization>MinSpace</Optimization>
      <InlineFunctionExpansion>OnlyExplicitInline</InlineFunctionExpansion>
      <FavorSizeOrSpeed>Size</FavorSizeOrSpeed>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <AdditionalIncludeDirectories>..\7-Zip\CPP\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>NDEBUG;COMPRESS_LZMA;COMPRESS_LZMA2;COMPRESS_BCJ;COMPRESS_BCJ2;WIN32;_WINDOWS;_MBCS;EXTRACT_ONLY;NO_REGISTRY;_SFX;_NO_CRYPTO;UNICODE;_USE_SFXTEST;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <ExceptionHandling>Async</ExceptionHandling>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>true</BufferSecurityCheck>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>stdafx.h</PrecompiledHeaderFile>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat />
      <DisableSpecificWarnings>4530;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <OmitDefaultLibName>false</OmitDefaultLibName>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0419</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalOptions>/STUB:sources/small.stub /RELEASE /VERBOSE:LIB  /DEPENDENTLOADFLAG:2048 %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>delayimp.lib;Version.lib; Comctl32.lib;Shlwapi.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)7zsd_$(Configuration).sfx</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <UACExecutionLevel>asInvoker</UACExecutionLevel>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <GenerateDebugInformation>false</GenerateDebugInformation>
      <GenerateMapFile>true</GenerateMapFile>
      <MapFileName>$(OutDir)7zsd_$(Configuration).map</MapFileName>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <LinkTimeCodeGeneration>UseLinkTimeCodeGeneration</LinkTimeCodeGeneration>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <DataExecutionPrevention>true</DataExecutionPrevention>
      <TargetMachine>MachineARM64</TargetMachine>
      <ImageHasSafeExceptionHandlers>false</ImageHasSafeExceptionHandlers>
      <DelayLoadDLLs>version.dll;COMCTL32.dll;SHLWAPI.dll;;SHELL32.dll;gdiplus.dll</DelayLoadDLLs>
    </Link>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>.\Release\arm64/7ZSfxMod.bsc</OutputFile>
    </Bscmake>
    <Manifest>
      <AdditionalManifestFiles>$(ProjectDir)\sources\res\compatibility.manifest</AdditionalManifestFiles>
    </Manifest>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'">
    <Midl>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TargetEnvironment>ARM64</TargetEnvironment>
      <TypeLibraryName>.\Release/arm64/7ZSfxMod.tlb</TypeLibraryName>
      <HeaderFileName />
    </Midl>
    <ClCompile>
      <Optimization>MinSpace</Optimization>
      <InlineFunctionExpansion>OnlyExplicitInline</InlineFunctionExpansion>
      <FavorSizeOrSpeed>Size</FavorSizeOrSpeed>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <AdditionalIncludeDirectories>..\7-Zip\CPP\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>NDEBUG;COMPRESS_LZMA;COMPRESS_LZMA2;COMPRESS_BCJ;COMPRESS_BCJ2;WIN32;_WINDOWS;_MBCS;EXTRACT_ONLY;NO_REGISTRY;_SFX;_NO_CRYPTO;UNICODE;_USE_SFXTEST;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <StringPooling>true</StringPooling>
      <ExceptionHandling>Async</ExceptionHandling>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <BufferSecurityCheck>true</BufferSecurityCheck>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>stdafx.h</PrecompiledHeaderFile>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DisableSpecificWarnings>4530;%(DisableSpecificWarnings)</DisableSpecificWarnings>
      <OmitDefaultLibName>false</OmitDefaultLibName>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0419</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalOptions>/STUB:sources/small.stub /RELEASE /VERBOSE:LIB /DEPENDENTLOADFLAG:2048 %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>delayimp.lib;Version.lib; Comctl32.lib;Shlwapi.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <OutputFile>$(OutDir)7zsd_$(Configuration).sfx</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <UACExecutionLevel>asInvoker</UACExecutionLevel>
      <IgnoreAllDefaultLibraries>false</IgnoreAllDefaultLibraries>
      <GenerateMapFile>true</GenerateMapFile>
      <MapFileName>$(OutDir)7zsd_$(Configuration).map</MapFileName>
      <SubSystem>Windows</SubSystem>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <RandomizedBaseAddress>true</RandomizedBaseAddress>
      <DataExecutionPrevention />
      <TargetMachine>MachineARM64</TargetMachine>
      <ImageHasSafeExceptionHandlers>false</ImageHasSafeExceptionHandlers>
      <DelayLoadDLLs>version.dll;COMCTL32.dll;SHLWAPI.dll;;SHELL32.dll;gdiplus.dll</DelayLoadDLLs>
    </Link>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>.\Release/arm64/7ZSfxMod.bsc</OutputFile>
    </Bscmake>
    <Manifest>
      <AdditionalManifestFiles>$(ProjectDir)\sources\res\compatibility.manifest</AdditionalManifestFiles>
    </Manifest>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Midl>
      <PreprocessorDefinitions>_DEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MkTypLibCompatible>true</MkTypLibCompatible>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <TargetEnvironment>X64</TargetEnvironment>
      <TypeLibraryName>.\Debug\win32/7ZSfxMod.tlb</TypeLibraryName>
      <HeaderFileName />
    </Midl>
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <FavorSizeOrSpeed>Neither</FavorSizeOrSpeed>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <AdditionalIncludeDirectories>..\7-Zip\CPP\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions>SFXMOD_DEBUG=1;_ITERATOR_DEBUG_LEVEL=0;BOOST_ALL_NO_LIB;COMPRESS_DEFLATE;COMPRESS_LZMA;COMPRESS_LZMA2;COMPRESS_BCJ;COMPRESS_BCJ2;_SFXTOOLS;WIN32;_WINDOWS;_MBCS;EXTRACT_ONLY;NO_REGISTRY;_SFX;_NO_CRYPTO;UNICODE;_USE_SFXTEST;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <MinimalRebuild>true</MinimalRebuild>
      <ExceptionHandling>SyncCThrow</ExceptionHandling>
      <BasicRuntimeChecks>Default</BasicRuntimeChecks>
      <SmallerTypeCheck>false</SmallerTypeCheck>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <RuntimeTypeInfo>false</RuntimeTypeInfo>
      <PrecompiledHeader>Use</PrecompiledHeader>
      <PrecompiledHeaderFile>stdafx.h</PrecompiledHeaderFile>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <DisableSpecificWarnings>4530;%(DisableSpecificWarnings)</DisableSpecificWarnings>
    </ClCompile>
    <ResourceCompile>
      <PreprocessorDefinitions>_DEBUG;_SFXTOOLS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <Culture>0x0419</Culture>
    </ResourceCompile>
    <Link>
      <AdditionalOptions>/STUB:sources/small.stub %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>comctl32.lib;$(BOOST_DIR)\lib-msvc-14.2\libboost_atomic-vc142-mt-x64-1_79.lib;$(BOOST_DIR)\lib-msvc-14.2\libboost_chrono-vc142-mt-x64-1_79.lib;$(BOOST_DIR)\lib-msvc-14.2\libboost_date_time-vc142-mt-x64-1_79.lib;$(BOOST_DIR)\lib-msvc-14.2\libboost_exception-vc142-mt-x64-1_79.lib;$(BOOST_DIR)\lib-msvc-14.2\libboost_filesystem-vc142-mt-x64-1_79.lib;$(BOOST_DIR)\lib-msvc-14.2\libboost_system-vc142-mt-x64-1_79.lib;$(BOOST_DIR)\lib-msvc-14.2\libboost_thread-vc142-mt-x64-1_79.lib;Shlwapi.lib;Version.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <IgnoreSpecificDefaultLibraries>libcmt.lib;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <OutputFile>$(OutDir)7zsd_$(Configuration).sfx</OutputFile>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <GenerateMapFile>true</GenerateMapFile>
      <MapFileName>$(OutDir)7zsd_$(Configuration).map</MapFileName>
      <SubSystem>Windows</SubSystem>
      <HeapReserveSize>16777216</HeapReserveSize>
      <OptimizeReferences />
      <EnableCOMDATFolding />
      <RandomizedBaseAddress>false</RandomizedBaseAddress>
      <DataExecutionPrevention />
      <TargetMachine>MachineX64</TargetMachine>
    </Link>
    <Bscmake>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <OutputFile>.\Debug\win32/7ZSfxMod.bsc</OutputFile>
    </Bscmake>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="..\7-Zip\CPP\7zip\Archive\7z\7zDecode.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Archive\7z\7zExtract.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Archive\7z\7zHandler.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Archive\7z\7zHeader.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='All|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='All|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="..\7-Zip\CPP\7zip\Archive\7z\7zIn.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Archive\Common\CoderMixer2.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Archive\Common\ItemNameUtils.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Archive\Common\OutStreamWithCRC.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Common\CreateCoder.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Common\CWrappers.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Common\FileStreams.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Common\FilterCoder.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Common\InBuffer.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Common\LimitedStreams.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Common\LockedStream.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Common\OutBuffer.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Common\ProgressUtils.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Common\StreamBinder.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Common\StreamObjects.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Common\StreamUtils.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Common\VirtThread.cpp" />
    <ClCompile Include="..\7-Zip\CPP\7zip\Compress\CopyCoder.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='All|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='All|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="..\7-Zip\CPP\7zip\Compress\CopyRegister.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='All|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='All|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="..\7-Zip\CPP\7zip\Compress\PpmdDecoder.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='All|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='All|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="..\7-Zip\CPP\7zip\Compress\PpmdRegister.cpp">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='All|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='All|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'">true</ExcludedFromBuild>
    </ClCompile>
    <ClCompile Include="..\7-Zip\CPP\Common\IntToString.cpp" />
    <ClCompile Include="..\7-Zip\CPP\Common\MyString.cpp" />
    <ClCompile Include="..\7-Zip\CPP\Common\MyVector.cpp" />
    <ClCompile Include="..\7-Zip\CPP\Windows\FileIO.cpp" />
    <ClCompile Include="..\7-Zip\CPP\Windows\PropVariant.cpp" />
    <ClCompile Include="..\7-Zip\CPP\Windows\Synchronization.cpp" />
    <ClCompile Include="..\7-Zip\CPP\Windows\System.cpp" />
    <ClCompile Include="..\7-Zip\C\7zCrc.c">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='All|Win32'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='All|x64'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'">
      </PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="..\7-Zip\C\CpuArch.c">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='All|Win32'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='All|x64'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'">
      </PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'">
      </PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="..\7-Zip\C\Threads.c">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='All|Win32'">true</ExcludedFromBuild>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='All|Win32'">
      </PrecompiledHeader>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='All|x64'">true</ExcludedFromBuild>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='All|x64'">
      </PrecompiledHeader>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
      </PrecompiledHeader>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
      </PrecompiledHeader>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">true</ExcludedFromBuild>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">
      </PrecompiledHeader>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">true</ExcludedFromBuild>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">
      </PrecompiledHeader>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">true</ExcludedFromBuild>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">
      </PrecompiledHeader>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">true</ExcludedFromBuild>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">
      </PrecompiledHeader>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'">true</ExcludedFromBuild>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'">
      </PrecompiledHeader>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'">true</ExcludedFromBuild>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'">
      </PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="sources\AnimatedGif.cpp" />
    <ClCompile Include="sources\BCJ.CPP" />
    <ClCompile Include="sources\BCJ2.CPP" />
    <ClCompile Include="sources\config.cpp" />
    <ClCompile Include="sources\copy.cpp" />
    <ClCompile Include="sources\Deflate.cpp" />
    <ClCompile Include="sources\Exceptions.cpp" />
    <ClCompile Include="sources\ExtractEngine.cpp" />
    <ClCompile Include="sources\Helpers.cpp" />
    <ClCompile Include="sources\langstrs.cpp" />
    <ClCompile Include="sources\LZMA.CPP" />
    <ClCompile Include="sources\lzma2.cpp" />
    <ClCompile Include="sources\main.cpp">
      <WholeProgramOptimization Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">false</WholeProgramOptimization>
    </ClCompile>
    <ClCompile Include="sources\NvcMitigationPolicyWin32.cpp" />
    <ClCompile Include="sources\PPMd.cpp" />
    <ClCompile Include="sources\Sfx7zHacks.cpp" />
    <ClCompile Include="sources\SfxDialogs.cpp" />
    <ClCompile Include="sources\SfxTest.cpp" />
    <ClCompile Include="sources\Splash.cpp" />
    <ClCompile Include="sources\stdafx.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='All|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='All|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'">Create</PrecompiledHeader>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <CustomBuild Include="..\7-Zip\CPP\7zip\Compress\PpmdDecoder.h">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='All|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='All|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'">true</ExcludedFromBuild>
    </CustomBuild>
    <ClInclude Include="sources\7zSfxMod.h" />
    <ClInclude Include="sources\7zSfxModInt.h" />
    <ClInclude Include="sources\AnimatedGif.h" />
    <ClInclude Include="sources\config.h" />
    <ClInclude Include="sources\ExtractEngine.h" />
    <ClInclude Include="sources\Helpers.h" />
    <ClInclude Include="sources\langstrs.h" />
    <ClInclude Include="sources\resource.h" />
    <ClInclude Include="sources\SfxDialogs.h" />
    <ClInclude Include="sources\Splash.h" />
    <ClInclude Include="sources\stdafx.h" />
    <ClInclude Include="sources\version.h" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="sources\7zSfxMod.rc">
      <PreprocessorDefinitions Condition="'$(Configuration)|$(Platform)'=='All|Win32'">_WIN32;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories Condition="'$(Configuration)|$(Platform)'=='All|Win32'">sources;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions Condition="'$(Configuration)|$(Platform)'=='All|x64'">_WIN64;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories Condition="'$(Configuration)|$(Platform)'=='All|x64'">sources;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">_WIN32;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">sources;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">_WIN64;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">sources;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">_WIN32;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">sources;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">_WIN64;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">sources;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">_WIN32;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">sources;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PreprocessorDefinitions Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">_WIN64;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">sources;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ResourceCompile>
  </ItemGroup>
  <ItemGroup>
    <CustomBuild Include="..\7-Zip\Asm\x86\7zCrcOpt.asm">
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA|ARM64'">true</ExcludedFromBuild>
      <ExcludedFromBuild Condition="'$(Configuration)|$(Platform)'=='LZMA2|ARM64'">true</ExcludedFromBuild>
      <Command Condition="'$(Configuration)|$(Platform)'=='All|Win32'">ml /nologo /c /Fo$(IntDir)%(Filename).obj %(FullPath)
</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='All|Win32'">$(IntDir)%(Filename).obj;%(Outputs)</Outputs>
      <Command Condition="'$(Configuration)|$(Platform)'=='All|x64'">ml64 /Dx64 /nologo /c /Fo$(IntDir)%(Filename).obj %(FullPath)
</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='All|x64'">$(IntDir)%(Filename).obj;%(Outputs)</Outputs>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">ml /nologo /c /coff /Zf /Fo$(IntDir)%(Filename).obj %(FullPath)
</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">$(IntDir)%(Filename).obj;%(Outputs)</Outputs>
      <Command Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">ml64 /Dx64 /nologo /c /Fo$(IntDir)%(Filename).obj %(FullPath)
</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">$(IntDir)%(Filename).obj;%(Outputs)</Outputs>
      <Command Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">ml /nologo /c /Fo$(IntDir)%(Filename).obj %(FullPath)
</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='LZMA2|Win32'">$(IntDir)%(Filename).obj;%(Outputs)</Outputs>
      <Command Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">ml64 /Dx64 /nologo /c /Fo$(IntDir)%(Filename).obj %(FullPath)
</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='LZMA2|x64'">$(IntDir)%(Filename).obj;%(Outputs)</Outputs>
      <Command Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">ml /nologo /c /Fo$(IntDir)%(Filename).obj %(FullPath)
</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='LZMA|Win32'">$(IntDir)%(Filename).obj;%(Outputs)</Outputs>
      <Command Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">ml64 /Dx64 /nologo /c /Fo$(IntDir)%(Filename).obj %(FullPath)
</Command>
      <Outputs Condition="'$(Configuration)|$(Platform)'=='LZMA|x64'">$(IntDir)%(Filename).obj;%(Outputs)</Outputs>
    </CustomBuild>
    <None Include="sources\res\7zSfxMod.rc2" />
  </ItemGroup>
  <ItemGroup>
    <Image Include="sources\res\indeterminate_progress_bar.gif" />
    <Image Include="sources\res\Nvidia.ico" />
    <Image Include="sources\res\spinner.gif" />
    <Image Include="sources\res\StartLoading_bg.png" />
    <Image Include="sources\res\StartLoading_bgQXP.png" />
    <Image Include="sources\res\StartupSplash.png" />
  </ItemGroup>
  <ItemGroup>
    <Xml Include="sources\res\manifest32.xml" />
    <Xml Include="sources\res\manifest64.xml" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>
